/* The following code was generated by JFlex 1.6.1 */

/*------------  1ra Area: Codigo de Usuario ---------*/
//------> Paquetes,importaciones
package Analizador;
import java_cup.runtime.*;
import java.util.LinkedList;

/*------------  2da Area: Opciones y Declaraciones ---------*/

/**
 * This class is a scanner generated by 
 * <a href="http://www.jflex.de/">JFlex</a> 1.6.1
 * from the specification file <tt>src/Analizador/A_Lexico.jflex</tt>
 */
public class A_Lexico implements java_cup.runtime.Scanner {

  /** This character denotes the end of file */
  public static final int YYEOF = -1;

  /** initial size of the lookahead buffer */
  private static final int ZZ_BUFFERSIZE = 16384;

  /** lexical states */
  public static final int YYINITIAL = 0;
  public static final int COMENT_MULTI = 2;
  public static final int COMENT_SIMPLE = 4;

  /**
   * ZZ_LEXSTATE[l] is the state in the DFA for the lexical state l
   * ZZ_LEXSTATE[l+1] is the state in the DFA for the lexical state l
   *                  at the beginning of a line
   * l is of the form l = 2*k, k a non negative integer
   */
  private static final int ZZ_LEXSTATE[] = { 
     0,  0,  1,  1,  2, 2
  };

  /** 
   * Translates characters to character classes
   */
  private static final char [] ZZ_CMAP = {
     0,  0,  0,  0,  0,  0,  0,  0,  0, 28, 27, 29, 28, 28,  0,  0, 
     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 
    28,  0,  0,  0,  0, 32,  0,  0, 34, 35, 26, 30, 31, 18, 20, 25, 
    19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 36,  0,  0, 33,  0,  0, 
     0, 12,  8, 11, 10,  4, 21,  6, 17, 22,  1, 24,  7,  2,  5, 21, 
     3, 21, 13, 23, 14, 21, 21, 21, 21, 21, 21,  0,  0,  0,  0, 21, 
     0, 12,  8, 11, 10,  4, 21,  6, 17, 22,  1, 24,  7,  2,  5, 21, 
     3, 21, 13, 23, 14, 21, 21, 21, 21, 21, 21,  0,  0,  0,  0,  0, 
     0,  0,  0,  0,  0, 29,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 
     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 
     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 
     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 
     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 
     0, 21,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 
     0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 
     0, 21,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0
  };

  /** 
   * Translates DFA states to action switch labels.
   */
  private static final int [] ZZ_ACTION = zzUnpackAction();

  private static final String ZZ_ACTION_PACKED_0 =
    "\3\0\1\1\2\2\1\3\1\4\2\2\1\5\1\6"+
    "\1\2\1\1\1\7\1\10\1\11\1\2\1\12\1\13"+
    "\1\14\1\15\1\16\1\17\1\20\1\21\1\22\1\23"+
    "\2\24\1\25\1\2\1\26\1\2\1\27\1\30\2\2"+
    "\1\31\2\2\1\32\1\0\1\2\1\11\1\0\1\2"+
    "\1\33\1\34\1\35\1\36\1\37\1\40\1\0\1\2"+
    "\1\41\2\2\1\0\1\2\1\42\1\2\1\0\1\2"+
    "\1\0\1\2\1\43\1\0\1\44\1\2\2\45\2\46"+
    "\2\47";

  private static int [] zzUnpackAction() {
    int [] result = new int[76];
    int offset = 0;
    offset = zzUnpackAction(ZZ_ACTION_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAction(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /** 
   * Translates a state to a row index in the transition table
   */
  private static final int [] ZZ_ROWMAP = zzUnpackRowMap();

  private static final String ZZ_ROWMAP_PACKED_0 =
    "\0\0\0\45\0\112\0\157\0\224\0\271\0\336\0\u0103"+
    "\0\u0128\0\u014d\0\271\0\u0172\0\u0197\0\u01bc\0\u01e1\0\u0206"+
    "\0\u022b\0\u0250\0\u0275\0\157\0\157\0\157\0\157\0\157"+
    "\0\157\0\157\0\157\0\157\0\157\0\u029a\0\157\0\u02bf"+
    "\0\271\0\u02e4\0\u0309\0\u032e\0\u0353\0\u0378\0\u0128\0\u039d"+
    "\0\u03c2\0\u0197\0\u03e7\0\u040c\0\u0431\0\u0456\0\u047b\0\157"+
    "\0\157\0\271\0\271\0\271\0\271\0\u04a0\0\u04c5\0\271"+
    "\0\u04ea\0\u050f\0\u0534\0\u0559\0\u0456\0\u057e\0\u05a3\0\u05c8"+
    "\0\u05ed\0\u0612\0\271\0\u0637\0\271\0\u065c\0\157\0\271"+
    "\0\157\0\271\0\157\0\271";

  private static int [] zzUnpackRowMap() {
    int [] result = new int[76];
    int offset = 0;
    offset = zzUnpackRowMap(ZZ_ROWMAP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackRowMap(String packed, int offset, int [] result) {
    int i = 0;  /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int high = packed.charAt(i++) << 16;
      result[j++] = high | packed.charAt(i++);
    }
    return j;
  }

  /** 
   * The transition table of the DFA
   */
  private static final int [] ZZ_TRANS = zzUnpackTrans();

  private static final String ZZ_TRANS_PACKED_0 =
    "\1\4\1\5\1\6\1\7\1\10\2\6\1\11\1\12"+
    "\1\4\1\13\1\14\2\6\1\15\1\16\1\4\1\17"+
    "\1\20\1\21\1\4\2\6\1\22\1\6\1\23\1\24"+
    "\2\25\1\0\1\26\1\27\1\30\1\31\1\32\1\33"+
    "\1\34\32\35\1\36\2\35\1\0\42\35\1\37\11\35"+
    "\46\0\1\6\1\40\1\6\1\41\1\42\1\43\1\44"+
    "\1\6\1\0\5\6\2\0\1\6\1\0\1\6\1\0"+
    "\4\6\15\0\10\6\1\0\5\6\2\0\1\6\1\0"+
    "\1\6\1\0\4\6\15\0\10\6\1\0\3\6\1\45"+
    "\1\6\2\0\1\6\1\0\1\6\1\0\4\6\15\0"+
    "\4\6\1\46\3\6\1\0\5\6\2\0\1\6\1\0"+
    "\1\6\1\0\4\6\15\0\10\6\1\0\5\6\2\0"+
    "\1\6\1\0\1\47\1\0\4\6\15\0\3\6\1\50"+
    "\4\6\1\0\5\6\2\0\1\6\1\0\1\6\1\0"+
    "\4\6\15\0\10\6\1\0\2\6\1\51\2\6\2\0"+
    "\1\6\1\0\1\6\1\0\4\6\15\0\10\6\1\0"+
    "\5\6\2\0\1\6\1\0\1\52\1\0\4\6\32\0"+
    "\1\53\27\0\3\6\1\54\4\6\1\0\5\6\2\0"+
    "\1\6\1\0\1\6\1\0\4\6\37\0\1\55\22\0"+
    "\10\6\1\0\5\6\2\0\1\6\1\0\1\21\1\56"+
    "\4\6\15\0\10\6\1\0\4\6\1\57\2\0\1\6"+
    "\1\0\1\6\1\0\4\6\45\0\1\60\1\61\43\0"+
    "\1\37\14\0\2\6\1\62\5\6\1\0\5\6\2\0"+
    "\1\6\1\0\1\6\1\0\4\6\15\0\3\6\1\63"+
    "\4\6\1\0\5\6\2\0\1\6\1\0\1\6\1\0"+
    "\4\6\15\0\3\6\1\64\4\6\1\0\5\6\2\0"+
    "\1\6\1\0\1\6\1\0\4\6\15\0\3\6\1\65"+
    "\4\6\1\0\5\6\2\0\1\6\1\0\1\6\1\0"+
    "\4\6\15\0\10\6\1\66\5\6\2\0\1\6\1\0"+
    "\1\6\1\0\1\6\1\67\2\6\15\0\10\6\1\0"+
    "\1\70\4\6\2\0\1\6\1\0\1\6\1\0\4\6"+
    "\15\0\5\6\1\71\2\6\1\0\5\6\2\0\1\6"+
    "\1\0\1\6\1\0\4\6\15\0\6\6\1\72\1\6"+
    "\1\0\5\6\2\0\1\6\1\0\1\6\1\0\4\6"+
    "\30\0\1\73\31\0\10\6\1\0\2\6\1\74\2\6"+
    "\2\0\1\6\1\0\1\6\1\0\4\6\37\0\1\55"+
    "\1\56\43\0\1\75\22\0\10\6\1\0\2\6\1\76"+
    "\2\6\2\0\1\6\1\0\1\6\1\0\4\6\21\0"+
    "\1\77\40\0\4\6\1\100\3\6\1\0\5\6\2\0"+
    "\1\6\1\0\1\6\1\0\4\6\15\0\10\6\1\101"+
    "\5\6\2\0\1\6\1\0\1\6\1\0\1\6\1\102"+
    "\2\6\15\0\6\6\1\103\1\6\1\0\5\6\2\0"+
    "\1\6\1\0\1\6\1\0\4\6\27\0\1\104\32\0"+
    "\2\6\1\105\5\6\1\0\5\6\2\0\1\6\1\0"+
    "\1\6\1\0\4\6\15\0\10\6\1\0\1\6\1\106"+
    "\3\6\2\0\1\6\1\0\1\6\1\0\4\6\32\0"+
    "\1\107\27\0\10\6\1\0\4\6\1\110\2\0\1\6"+
    "\1\0\1\6\1\0\4\6\21\0\1\111\40\0\4\6"+
    "\1\112\3\6\1\0\5\6\2\0\1\6\1\0\1\6"+
    "\1\0\4\6\34\0\1\113\7\0\1\113\15\0\10\6"+
    "\1\0\5\6\1\0\1\113\1\6\1\0\1\6\1\0"+
    "\3\6\1\114\14\0";

  private static int [] zzUnpackTrans() {
    int [] result = new int[1665];
    int offset = 0;
    offset = zzUnpackTrans(ZZ_TRANS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackTrans(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      value--;
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /* error codes */
  private static final int ZZ_UNKNOWN_ERROR = 0;
  private static final int ZZ_NO_MATCH = 1;
  private static final int ZZ_PUSHBACK_2BIG = 2;

  /* error messages for the codes above */
  private static final String ZZ_ERROR_MSG[] = {
    "Unknown internal scanner error",
    "Error: could not match input",
    "Error: pushback value was too large"
  };

  /**
   * ZZ_ATTRIBUTE[aState] contains the attributes of state <code>aState</code>
   */
  private static final int [] ZZ_ATTRIBUTE = zzUnpackAttribute();

  private static final String ZZ_ATTRIBUTE_PACKED_0 =
    "\3\0\1\11\17\1\12\11\1\1\1\11\13\1\1\0"+
    "\2\1\1\0\1\1\2\11\4\1\1\0\4\1\1\0"+
    "\3\1\1\0\1\1\1\0\2\1\1\0\2\1\1\11"+
    "\1\1\1\11\1\1\1\11\1\1";

  private static int [] zzUnpackAttribute() {
    int [] result = new int[76];
    int offset = 0;
    offset = zzUnpackAttribute(ZZ_ATTRIBUTE_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAttribute(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /** the input device */
  private java.io.Reader zzReader;

  /** the current state of the DFA */
  private int zzState;

  /** the current lexical state */
  private int zzLexicalState = YYINITIAL;

  /** this buffer contains the current text to be matched and is
      the source of the yytext() string */
  private char zzBuffer[] = new char[ZZ_BUFFERSIZE];

  /** the textposition at the last accepting state */
  private int zzMarkedPos;

  /** the current text position in the buffer */
  private int zzCurrentPos;

  /** startRead marks the beginning of the yytext() string in the buffer */
  private int zzStartRead;

  /** endRead marks the last character in the buffer, that has been read
      from input */
  private int zzEndRead;

  /** number of newlines encountered up to the start of the matched text */
  private int yyline;

  /** the number of characters up to the start of the matched text */
  private int yychar;

  /**
   * the number of characters from the last newline up to the start of the 
   * matched text
   */
  private int yycolumn;

  /** 
   * zzAtBOL == true <=> the scanner is currently at the beginning of a line
   */
  private boolean zzAtBOL = true;

  /** zzAtEOF == true <=> the scanner is at the EOF */
  private boolean zzAtEOF;

  /** denotes if the user-EOF-code has already been executed */
  private boolean zzEOFDone;
  
  /** 
   * The number of occupied positions in zzBuffer beyond zzEndRead.
   * When a lead/high surrogate has been read from the input stream
   * into the final zzBuffer position, this will have a value of 1;
   * otherwise, it will have a value of 0.
   */
  private int zzFinalHighSurrogate = 0;

  /* user code: */
    //----> Codigo de usuario en sintaxis java
    // public static LinkedList<TError> TablaEL = new LinkedList<TError>(); 


  /**
   * Creates a new scanner
   *
   * @param   in  the java.io.Reader to read input from.
   */
  public A_Lexico(java.io.Reader in) {
    this.zzReader = in;
  }



  /**
   * Refills the input buffer.
   *
   * @return      <code>false</code>, iff there was new input.
   * 
   * @exception   java.io.IOException  if any I/O-Error occurs
   */
  private boolean zzRefill() throws java.io.IOException {

    /* first: make room (if you can) */
    if (zzStartRead > 0) {
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
      System.arraycopy(zzBuffer, zzStartRead,
                       zzBuffer, 0,
                       zzEndRead-zzStartRead);

      /* translate stored positions */
      zzEndRead-= zzStartRead;
      zzCurrentPos-= zzStartRead;
      zzMarkedPos-= zzStartRead;
      zzStartRead = 0;
    }

    /* is the buffer big enough? */
    if (zzCurrentPos >= zzBuffer.length - zzFinalHighSurrogate) {
      /* if not: blow it up */
      char newBuffer[] = new char[zzBuffer.length*2];
      System.arraycopy(zzBuffer, 0, newBuffer, 0, zzBuffer.length);
      zzBuffer = newBuffer;
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
    }

    /* fill the buffer with new input */
    int requested = zzBuffer.length - zzEndRead;
    int numRead = zzReader.read(zzBuffer, zzEndRead, requested);

    /* not supposed to occur according to specification of java.io.Reader */
    if (numRead == 0) {
      throw new java.io.IOException("Reader returned 0 characters. See JFlex examples for workaround.");
    }
    if (numRead > 0) {
      zzEndRead += numRead;
      /* If numRead == requested, we might have requested to few chars to
         encode a full Unicode character. We assume that a Reader would
         otherwise never return half characters. */
      if (numRead == requested) {
        if (Character.isHighSurrogate(zzBuffer[zzEndRead - 1])) {
          --zzEndRead;
          zzFinalHighSurrogate = 1;
        }
      }
      /* potentially more input available */
      return false;
    }

    /* numRead < 0 ==> end of stream */
    return true;
  }

    
  /**
   * Closes the input stream.
   */
  public final void yyclose() throws java.io.IOException {
    zzAtEOF = true;            /* indicate end of file */
    zzEndRead = zzStartRead;  /* invalidate buffer    */

    if (zzReader != null)
      zzReader.close();
  }


  /**
   * Resets the scanner to read from a new input stream.
   * Does not close the old reader.
   *
   * All internal variables are reset, the old input stream 
   * <b>cannot</b> be reused (internal buffer is discarded and lost).
   * Lexical state is set to <tt>ZZ_INITIAL</tt>.
   *
   * Internal scan buffer is resized down to its initial length, if it has grown.
   *
   * @param reader   the new input stream 
   */
  public final void yyreset(java.io.Reader reader) {
    zzReader = reader;
    zzAtBOL  = true;
    zzAtEOF  = false;
    zzEOFDone = false;
    zzEndRead = zzStartRead = 0;
    zzCurrentPos = zzMarkedPos = 0;
    zzFinalHighSurrogate = 0;
    yyline = yychar = yycolumn = 0;
    zzLexicalState = YYINITIAL;
    if (zzBuffer.length > ZZ_BUFFERSIZE)
      zzBuffer = new char[ZZ_BUFFERSIZE];
  }


  /**
   * Returns the current lexical state.
   */
  public final int yystate() {
    return zzLexicalState;
  }


  /**
   * Enters a new lexical state
   *
   * @param newState the new lexical state
   */
  public final void yybegin(int newState) {
    zzLexicalState = newState;
  }


  /**
   * Returns the text matched by the current regular expression.
   */
  public final String yytext() {
    return new String( zzBuffer, zzStartRead, zzMarkedPos-zzStartRead );
  }


  /**
   * Returns the character at position <tt>pos</tt> from the 
   * matched text. 
   * 
   * It is equivalent to yytext().charAt(pos), but faster
   *
   * @param pos the position of the character to fetch. 
   *            A value from 0 to yylength()-1.
   *
   * @return the character at position pos
   */
  public final char yycharat(int pos) {
    return zzBuffer[zzStartRead+pos];
  }


  /**
   * Returns the length of the matched text region.
   */
  public final int yylength() {
    return zzMarkedPos-zzStartRead;
  }


  /**
   * Reports an error that occured while scanning.
   *
   * In a wellformed scanner (no or only correct usage of 
   * yypushback(int) and a match-all fallback rule) this method 
   * will only be called with things that "Can't Possibly Happen".
   * If this method is called, something is seriously wrong
   * (e.g. a JFlex bug producing a faulty scanner etc.).
   *
   * Usual syntax/scanner level error handling should be done
   * in error fallback rules.
   *
   * @param   errorCode  the code of the errormessage to display
   */
  private void zzScanError(int errorCode) {
    String message;
    try {
      message = ZZ_ERROR_MSG[errorCode];
    }
    catch (ArrayIndexOutOfBoundsException e) {
      message = ZZ_ERROR_MSG[ZZ_UNKNOWN_ERROR];
    }

    throw new Error(message);
  } 


  /**
   * Pushes the specified amount of characters back into the input stream.
   *
   * They will be read again by then next call of the scanning method
   *
   * @param number  the number of characters to be read again.
   *                This number must not be greater than yylength()!
   */
  public void yypushback(int number)  {
    if ( number > yylength() )
      zzScanError(ZZ_PUSHBACK_2BIG);

    zzMarkedPos -= number;
  }


  /**
   * Contains user EOF-code, which will be executed exactly once,
   * when the end of file is reached
   */
  private void zzDoEOF() throws java.io.IOException {
    if (!zzEOFDone) {
      zzEOFDone = true;
      yyclose();
    }
  }


  /**
   * Resumes scanning until the next regular expression is matched,
   * the end of input is encountered or an I/O-Error occurs.
   *
   * @return      the next token
   * @exception   java.io.IOException  if any I/O-Error occurs
   */
  public java_cup.runtime.Symbol next_token() throws java.io.IOException {
    int zzInput;
    int zzAction;

    // cached fields:
    int zzCurrentPosL;
    int zzMarkedPosL;
    int zzEndReadL = zzEndRead;
    char [] zzBufferL = zzBuffer;
    char [] zzCMapL = ZZ_CMAP;

    int [] zzTransL = ZZ_TRANS;
    int [] zzRowMapL = ZZ_ROWMAP;
    int [] zzAttrL = ZZ_ATTRIBUTE;

    while (true) {
      zzMarkedPosL = zzMarkedPos;

      yychar+= zzMarkedPosL-zzStartRead;

      boolean zzR = false;
      int zzCh;
      int zzCharCount;
      for (zzCurrentPosL = zzStartRead  ;
           zzCurrentPosL < zzMarkedPosL ;
           zzCurrentPosL += zzCharCount ) {
        zzCh = Character.codePointAt(zzBufferL, zzCurrentPosL, zzMarkedPosL);
        zzCharCount = Character.charCount(zzCh);
        switch (zzCh) {
        case '\u000B':
        case '\u000C':
        case '\u0085':
        case '\u2028':
        case '\u2029':
          yyline++;
          yycolumn = 0;
          zzR = false;
          break;
        case '\r':
          yyline++;
          yycolumn = 0;
          zzR = true;
          break;
        case '\n':
          if (zzR)
            zzR = false;
          else {
            yyline++;
            yycolumn = 0;
          }
          break;
        default:
          zzR = false;
          yycolumn += zzCharCount;
        }
      }

      if (zzR) {
        // peek one character ahead if it is \n (if we have counted one line too much)
        boolean zzPeek;
        if (zzMarkedPosL < zzEndReadL)
          zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        else if (zzAtEOF)
          zzPeek = false;
        else {
          boolean eof = zzRefill();
          zzEndReadL = zzEndRead;
          zzMarkedPosL = zzMarkedPos;
          zzBufferL = zzBuffer;
          if (eof) 
            zzPeek = false;
          else 
            zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        }
        if (zzPeek) yyline--;
      }
      zzAction = -1;

      zzCurrentPosL = zzCurrentPos = zzStartRead = zzMarkedPosL;
  
      zzState = ZZ_LEXSTATE[zzLexicalState];

      // set up zzAction for empty match case:
      int zzAttributes = zzAttrL[zzState];
      if ( (zzAttributes & 1) == 1 ) {
        zzAction = zzState;
      }


      zzForAction: {
        while (true) {
    
          if (zzCurrentPosL < zzEndReadL) {
            zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
            zzCurrentPosL += Character.charCount(zzInput);
          }
          else if (zzAtEOF) {
            zzInput = YYEOF;
            break zzForAction;
          }
          else {
            // store back cached positions
            zzCurrentPos  = zzCurrentPosL;
            zzMarkedPos   = zzMarkedPosL;
            boolean eof = zzRefill();
            // get translated positions and possibly new buffer
            zzCurrentPosL  = zzCurrentPos;
            zzMarkedPosL   = zzMarkedPos;
            zzBufferL      = zzBuffer;
            zzEndReadL     = zzEndRead;
            if (eof) {
              zzInput = YYEOF;
              break zzForAction;
            }
            else {
              zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
              zzCurrentPosL += Character.charCount(zzInput);
            }
          }
          int zzNext = zzTransL[ zzRowMapL[zzState] + zzCMapL[zzInput] ];
          if (zzNext == -1) break zzForAction;
          zzState = zzNext;

          zzAttributes = zzAttrL[zzState];
          if ( (zzAttributes & 1) == 1 ) {
            zzAction = zzState;
            zzMarkedPosL = zzCurrentPosL;
            if ( (zzAttributes & 8) == 8 ) break zzForAction;
          }

        }
      }

      // store back cached position
      zzMarkedPos = zzMarkedPosL;

      if (zzInput == YYEOF && zzStartRead == zzCurrentPos) {
        zzAtEOF = true;
            zzDoEOF();
          { return new java_cup.runtime.Symbol(Simbolos.EOF); }
      }
      else {
        switch (zzAction < 0 ? zzAction : ZZ_ACTION[zzAction]) {
          case 1: 
            { //Draco.AgregarError(yytext(), "Caracter no valido", yyline, yycolumn, "Lexico");
            }
          case 40: break;
          case 2: 
            { System.out.println("Reconocio "+yytext()+" Reservada Identificador"); return new Symbol(Simbolos.id, yycolumn, yyline, yytext());
            }
          case 41: break;
          case 3: 
            { System.out.println("Reconocio "+yytext()+" Reservada P"); return new Symbol(Simbolos.ptrs, yycolumn, yyline, yytext());
            }
          case 42: break;
          case 4: 
            { System.out.println("Reconocio "+yytext()+" Reservada TIPOE"); return new Symbol(Simbolos.tipoe, yycolumn, yyline, yytext());
            }
          case 43: break;
          case 5: 
            { System.out.println("Reconocio "+yytext()+" Reservada TIPOD"); return new Symbol(Simbolos.tipod, yycolumn, yyline, yytext());
            }
          case 44: break;
          case 6: 
            { System.out.println("Reconocio "+yytext()+" Reservada TIPOC"); return new Symbol(Simbolos.tipoc, yycolumn, yyline, yytext());
            }
          case 45: break;
          case 7: 
            { System.out.println("Reconocio "+yytext()+" Reservada H"); return new Symbol(Simbolos.ptrh, yycolumn, yyline, yytext());
            }
          case 46: break;
          case 8: 
            { System.out.println("Reconocio "+yytext()+" Reservada menos"); return new Symbol(Simbolos.menos, yycolumn, yyline, yytext());
            }
          case 47: break;
          case 9: 
            { System.out.println("Reconocio "+yytext()+" Reservada Numero"); return new Symbol(Simbolos.numero, yycolumn, yyline, yytext());
            }
          case 48: break;
          case 10: 
            { System.out.println("Reconocio "+yytext()+" Reservada div"); return new Symbol(Simbolos.div, yycolumn, yyline, yytext());
            }
          case 49: break;
          case 11: 
            { System.out.println("Reconocio "+yytext()+" Reservada por"); return new Symbol(Simbolos.por, yycolumn, yyline, yytext());
            }
          case 50: break;
          case 12: 
            { /* Espacios en blanco, se ignoran */
            }
          case 51: break;
          case 13: 
            { System.out.println("Reconocio "+yytext()+" Reservada Mas"); return new Symbol(Simbolos.mas, yycolumn, yyline, yytext());
            }
          case 52: break;
          case 14: 
            { System.out.println("Reconocio "+yytext()+" Reservada coma"); return new Symbol(Simbolos.coma, yycolumn, yyline, yytext());
            }
          case 53: break;
          case 15: 
            { System.out.println("Reconocio "+yytext()+" Reservada mod"); return new Symbol(Simbolos.mod, yycolumn, yyline, yytext());
            }
          case 54: break;
          case 16: 
            { System.out.println("Reconocio "+yytext()+" Reservada igual"); return new Symbol(Simbolos.igual, yycolumn, yyline, yytext());
            }
          case 55: break;
          case 17: 
            { System.out.println("Reconocio "+yytext()+" Reservada parabre"); return new Symbol(Simbolos.parabre, yycolumn, yyline, yytext());
            }
          case 56: break;
          case 18: 
            { System.out.println("Reconocio "+yytext()+" Reservada parcierra"); return new Symbol(Simbolos.parcierra, yycolumn, yyline, yytext());
            }
          case 57: break;
          case 19: 
            { System.out.println("Reconocio "+yytext()+" Reservada dos puntos"); return new Symbol(Simbolos.dospuntos, yycolumn, yyline, yytext());
            }
          case 58: break;
          case 20: 
            { 
            }
          case 59: break;
          case 21: 
            { yybegin(YYINITIAL);
            }
          case 60: break;
          case 22: 
            { System.out.println("Reconocio "+yytext()+" Reservada JE"); return new Symbol(Simbolos.je, yycolumn, yyline, yytext());
            }
          case 61: break;
          case 23: 
            { System.out.println("Reconocio "+yytext()+" Reservada JG"); return new Symbol(Simbolos.jg, yycolumn, yyline, yytext());
            }
          case 62: break;
          case 24: 
            { System.out.println("Reconocio "+yytext()+" Reservada JL"); return new Symbol(Simbolos.jl, yycolumn, yyline, yytext());
            }
          case 63: break;
          case 25: 
            { System.out.println("Reconocio "+yytext()+" Reservada Etiqueta"); return new Symbol(Simbolos.etq, yycolumn, yyline, yytext());
            }
          case 64: break;
          case 26: 
            { System.out.println("Reconocio "+yytext()+" Reservada Temporal"); return new Symbol(Simbolos.temp, yycolumn, yyline, yytext());
            }
          case 65: break;
          case 27: 
            { yybegin(COMENT_SIMPLE);
            }
          case 66: break;
          case 28: 
            { yybegin(COMENT_MULTI);
            }
          case 67: break;
          case 29: 
            { System.out.println("Reconocio "+yytext()+" Reservada JMP"); return new Symbol(Simbolos.jmp, yycolumn, yyline, yytext());
            }
          case 68: break;
          case 30: 
            { System.out.println("Reconocio "+yytext()+" Reservada JNE"); return new Symbol(Simbolos.jne, yycolumn, yyline, yytext());
            }
          case 69: break;
          case 31: 
            { System.out.println("Reconocio "+yytext()+" Reservada JGE"); return new Symbol(Simbolos.jge, yycolumn, yyline, yytext());
            }
          case 70: break;
          case 32: 
            { System.out.println("Reconocio "+yytext()+" Reservada JLE"); return new Symbol(Simbolos.jle, yycolumn, yyline, yytext());
            }
          case 71: break;
          case 33: 
            { System.out.println("Reconocio "+yytext()+" Reservada END"); return new Symbol(Simbolos.end, yycolumn, yyline, yytext());
            }
          case 72: break;
          case 34: 
            { System.out.println("Reconocio "+yytext()+" Reservada Decimal"); return new Symbol(Simbolos.decimal, yycolumn, yyline, yytext());
            }
          case 73: break;
          case 35: 
            { System.out.println("Reconocio "+yytext()+" Reservada CALL"); return new Symbol(Simbolos.call, yycolumn, yyline, yytext());
            }
          case 74: break;
          case 36: 
            { System.out.println("Reconocio "+yytext()+" Reservada HEAP"); return new Symbol(Simbolos.heap, yycolumn, yyline, yytext());
            }
          case 75: break;
          case 37: 
            { System.out.println("Reconocio "+yytext()+" Reservada PRINT"); return new Symbol(Simbolos.print, yycolumn, yyline, yytext());
            }
          case 76: break;
          case 38: 
            { System.out.println("Reconocio "+yytext()+" Reservada BEGIN"); return new Symbol(Simbolos.begin, yycolumn, yyline, yytext());
            }
          case 77: break;
          case 39: 
            { System.out.println("Reconocio "+yytext()+" Reservada STACK"); return new Symbol(Simbolos.stack, yycolumn, yyline, yytext());
            }
          case 78: break;
          default:
            zzScanError(ZZ_NO_MATCH);
        }
      }
    }
  }


}
